version = 1

[[runtimes]]
name = "ruby"
version = "3.2.0+20230215-1"
tags = [ "latest", "3.2", "3.2.0" ]
status = "active"
args = [ "--", "/src/index.rb" ]
binary = { url = "https://github.com/vmware-labs/webassembly-language-runtimes/releases/download/ruby%2F3.2.0%2B20230215-1349da9/ruby-3.2.0.wasm", filename = "ruby.wasm", checksum = { type = "sha256", value = "abe348fba157a756f86194be445c77c99e8ed64ca76495ea07ed984f09eb66ae" } }
extensions = [ "rb" ]
polyfill = { url = "https://workers.wasmlabs.dev/repository/v1/files/ruby/3-1/poly.rb", filename = "poly.rb", checksum = { type = "sha256", value = "449855a5d315879ab0ad830aa6a3f689e68fed4490617ea03efc77c9da64f630" } }
wrapper = { url = "https://workers.wasmlabs.dev/repository/v1/files/ruby/3-1/wrapper.txt", filename = "wrapper.txt", checksum = { type = "sha256", value = "6d808b4747cf30f82665a38a47e1176513bbdd6ad558c09db03d719e33ad2da0" } }

[[runtimes]]
name = "python"
version = "3.11.1+20230217-1"
tags = [ "latest", "3.11", "3.11.1" ]
status = "active"
args = [ "--", "/src/index.py" ]
binary = { url = "https://github.com/vmware-labs/webassembly-language-runtimes/releases/download/python%2F3.11.1%2B20230217-15dfbed/python-3.11.1.wasm", filename = "python.wasm", checksum = { type = "sha256", value = "66589b289f76bd716120f76f234e4dd663064ed5b6256c92d441d84e51d7585d" } }
extensions = [ "py" ]
polyfill = { url = "https://workers.wasmlabs.dev/repository/v1/files/python/3-1/poly.py", filename = "poly.py", checksum = { type = "sha256", value = "74d10132b0577a39e4ea30002d4605b7cdfb8f39abca327a45c8b313de7ea304" } }
wrapper = { url = "https://workers.wasmlabs.dev/repository/v1/files/python/3-1/wrapper.txt", filename = "wrapper.txt", checksum = { type = "sha256", value = "cf1edc5b1427180ec09d18f4d169580379f1b12001f30e330759f9a0f8745357" } }

[[runtimes]]
name = "ruby"
version = "3.2.0+20230215"
tags = [ ]
status = "active"
args = [ "--", "/src/index.rb" ]
binary = { url = "https://github.com/vmware-labs/webassembly-language-runtimes/releases/download/ruby%2F3.2.0%2B20230215-1349da9/ruby-3.2.0.wasm", filename = "ruby.wasm", checksum = { type = "sha256", value = "abe348fba157a756f86194be445c77c99e8ed64ca76495ea07ed984f09eb66ae" } }
extensions = [ "rb" ]
polyfill = { url = "https://workers.wasmlabs.dev/repository/v1/files/ruby/3/poly.rb", filename = "poly.rb", checksum = { type = "sha256", value = "044b0d4bde7d3a9b0f275821fb5b67cc2e382267904df2516a23dbec1fae6bae" } }
wrapper = { url = "https://workers.wasmlabs.dev/repository/v1/files/ruby/3/wrapper.txt", filename = "wrapper.txt", checksum = { type = "sha256", value = "6d808b4747cf30f82665a38a47e1176513bbdd6ad558c09db03d719e33ad2da0" } }

[[runtimes]]
name = "python"
version = "3.11.1+20230217"
tags = [ ]
status = "active"
args = [ "--", "/src/index.py" ]
binary = { url = "https://github.com/vmware-labs/webassembly-language-runtimes/releases/download/python%2F3.11.1%2B20230217-15dfbed/python-3.11.1.wasm", filename = "python.wasm", checksum = { type = "sha256", value = "66589b289f76bd716120f76f234e4dd663064ed5b6256c92d441d84e51d7585d" } }
extensions = [ "py" ]
polyfill = { url = "https://workers.wasmlabs.dev/repository/v1/files/python/3/poly.py", filename = "poly.py", checksum = { type = "sha256", value = "2027b73556ca02155f026cee751ab736985917d2f28bbcad5aac928c719e1112" } }
wrapper = { url = "https://workers.wasmlabs.dev/repository/v1/files/python/3/wrapper.txt", filename = "wrapper.txt", checksum = { type = "sha256", value = "cf1edc5b1427180ec09d18f4d169580379f1b12001f30e330759f9a0f8745357" } }